From: "Yixun Lan" <dlan@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/ibus/
Date: Sun, 31 Dec 2017 14:16:21 +0000 (UTC) [thread overview]
Message-ID: <1514729778.3be037a16108dce2e445ef0b5cea0cb365f21355.dlan@gentoo> (raw)
commit: 3be037a16108dce2e445ef0b5cea0cb365f21355
Author: Yixun Lan <dlan <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 31 14:10:53 2017 +0000
Commit: Yixun Lan <dlan <AT> gentoo <DOT> org>
CommitDate: Sun Dec 31 14:16:18 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3be037a1
app-i18n/ibus: version bump
Package-Manager: Portage-2.3.19, Repoman-2.3.6
app-i18n/ibus/Manifest | 1 +
app-i18n/ibus/ibus-1.5.17.ebuild | 182 +++++++++++++++++++++++++++++++++++++++
2 files changed, 183 insertions(+)
diff --git a/app-i18n/ibus/Manifest b/app-i18n/ibus/Manifest
index a464130954e..c2bcc66ae37 100644
--- a/app-i18n/ibus/Manifest
+++ b/app-i18n/ibus/Manifest
@@ -1,3 +1,4 @@
DIST ibus-1.5.12.tar.gz 2190284 BLAKE2B 57ac7f9e8e8f0419bad1bf3aa629282ef3c0188d29e98bc872e594955f69e0863020d600c674cabed56db156a85210b5b3c1fe137b135395a27d2535e4938164 SHA512 a443bf0d1b71a52c18e7d13a0c69f38c48f6924cfb1669912880b87be1bf41bcb7d8d6252aafd6799e43d41c081fd94cf334fd836a0505c93a4e5c5b68241c81
DIST ibus-1.5.15.tar.gz 2259352 BLAKE2B 52a820b55573f034f60dc705e0c513515c0f128f861d2dd9a22be9bfafdd10f116a159b8d9a21a64f7b66225e7191a08b9c5ff873bbe29421c53fec2bee08b71 SHA512 4e588acf2ca0172b365630dcfe2d9062e7583e50a44d435ec05c8e3976c6caf54c4708733f1f7dce5ef7724254469ee5c7ab3b086f0cbea18775c894863b0c3e
DIST ibus-1.5.16.tar.gz 2375719 BLAKE2B cf4cbd4556e43403c73da3cd2cb9f6da8e0baf5f90b3bc74f6d12c1bad057198ed828053dcbb3ddfd28c37d9011b6166e834385720aa827a68f594dbd4cf9298 SHA512 494ead69cf9c0111fd25fd1de27e796d89db4f08443afa1ec469f638469b25d8b19a59ea7ab0db0f3a130b9a89b3f2819667099ba38fc973d6efc61b367ce237
+DIST ibus-1.5.17.tar.gz 2522960 BLAKE2B a0d19eaae809549d678b42394e76107b8869232c90932bfaa5072621598e83db0569084e931c51c15b7179d9d8e0a2ce144b726229dae81a009665a5de87afc4 SHA512 8a7e4fabbcb2096e647b1fb7487c92882bd320a4d777f2765817378abec2e60cafd63364c881fefc2805ff2baa6b28b15ee0710587662a3e65eeb60ead19496c
diff --git a/app-i18n/ibus/ibus-1.5.17.ebuild b/app-i18n/ibus/ibus-1.5.17.ebuild
new file mode 100644
index 00000000000..f04a122889f
--- /dev/null
+++ b/app-i18n/ibus/ibus-1.5.17.ebuild
@@ -0,0 +1,182 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+VALA_USE_DEPEND="vapigen"
+
+inherit autotools bash-completion-r1 gnome2-utils ltprune python-r1 vala virtualx
+
+DESCRIPTION="Intelligent Input Bus for Linux / Unix OS"
+HOMEPAGE="https://github.com/ibus/ibus/wiki"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+X +emoji gconf +gtk +gtk2 +introspection kde +libnotify nls +python test vala wayland"
+REQUIRED_USE="emoji? ( gtk )
+ gtk2? ( gtk )
+ kde? ( gtk )
+ libnotify? ( gtk )
+ python? (
+ ${PYTHON_REQUIRED_USE}
+ gtk
+ introspection
+ )
+ test? ( gtk )
+ vala? ( introspection )"
+
+CDEPEND="app-text/iso-codes
+ dev-libs/glib:2
+ gnome-base/dconf
+ gnome-base/librsvg:2
+ sys-apps/dbus[X?]
+ X? (
+ x11-libs/libX11
+ !gtk? ( x11-libs/gtk+:2 )
+ )
+ gconf? ( gnome-base/gconf:2 )
+ gtk? (
+ x11-libs/gtk+:3
+ x11-libs/libX11
+ x11-libs/libXi
+ gtk2? ( x11-libs/gtk+:2 )
+ )
+ introspection? ( dev-libs/gobject-introspection )
+ kde? ( dev-qt/qtgui:5 )
+ libnotify? ( x11-libs/libnotify )
+ nls? ( virtual/libintl )
+ python? (
+ ${PYTHON_DEPS}
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ )
+ wayland? (
+ dev-libs/wayland
+ x11-libs/libxkbcommon
+ )"
+RDEPEND="${CDEPEND}
+ python? (
+ gtk? (
+ x11-libs/gtk+:3[introspection]
+ )
+ )"
+DEPEND="${CDEPEND}
+ $(vala_depend)
+ dev-util/intltool
+ virtual/pkgconfig
+ emoji? (
+ app-i18n/unicode-cldr
+ app-i18n/unicode-emoji
+ )
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ vala_src_prepare --ignore-use
+ if ! use emoji; then
+ touch \
+ tools/main.vala \
+ ui/gtk3/panel.vala
+ fi
+ if ! use kde; then
+ touch ui/gtk3/panel.vala
+ fi
+ if ! use libnotify; then
+ touch ui/gtk3/panel.vala
+ fi
+ # for multiple Python implementations
+ sed -i "s/^\(PYGOBJECT_DIR =\).*/\1/" bindings/Makefile.am
+ # fix for parallel install
+ sed -i \
+ -e "/^py2_compile/,/^$/d" \
+ -e "/^install-data-hook/,/^$/d" \
+ bindings/pygobject/Makefile.am
+ # require user interaction
+ sed -i "/^TESTS += ibus-compose/d" src/tests/Makefile.am
+
+ sed -i "/^bash_completion/d" tools/Makefile.am
+
+ default
+ eautoreconf
+}
+
+src_configure() {
+ local unicodedir="${EPREFIX}"/usr/share/unicode
+ local python_conf=()
+ if use python; then
+ python_setup
+ python_conf+=(
+ $(use_enable gtk setup)
+ --with-python=${EPYTHON}
+ )
+ else
+ python_conf+=( --disable-setup )
+ fi
+
+ econf \
+ $(use_enable X xim) \
+ $(use_enable emoji emoji-dict) \
+ $(use_with emoji unicode-emoji-dir "${unicodedir}"/emoji) \
+ $(use_with emoji emoji-annotation-dir "${unicodedir}"/cldr/common/annotations) \
+ $(use_enable gconf) \
+ $(use_enable gtk gtk3) \
+ $(use_enable gtk ui) \
+ $(use_enable gtk2) \
+ $(use_enable introspection) \
+ $(use_enable kde appindicator) \
+ $(use_enable libnotify) \
+ $(use_enable nls) \
+ $(use_enable test tests) \
+ $(use_enable vala) \
+ $(use_enable wayland) \
+ "${python_conf[@]}"
+}
+
+src_test() {
+ unset DBUS_SESSION_BUS_ADDRESS
+ virtx emake -j1 check
+}
+
+src_install() {
+ default
+ prune_libtool_files --modules
+
+ if use python; then
+ python_install() {
+ emake -C bindings/pygobject \
+ pyoverridesdir="$(${EPYTHON} -c 'import gi; print(gi._overridesdir)')" \
+ DESTDIR="${D}" \
+ install
+ }
+ python_foreach_impl python_install
+ fi
+
+ keepdir /usr/share/ibus/engine
+
+ newbashcomp tools/${PN}.bash ${PN}
+
+ insinto /etc/X11/xinit/xinput.d
+ newins xinput-${PN} ${PN}.conf
+}
+
+pkg_preinst() {
+ use gconf && gnome2_gconf_savelist
+ gnome2_icon_savelist
+ gnome2_schemas_savelist
+}
+
+pkg_postinst() {
+ use gconf && gnome2_gconf_install
+ use gtk && gnome2_query_immodules_gtk3
+ use gtk2 && gnome2_query_immodules_gtk2
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+ dconf update
+}
+
+pkg_postrm() {
+ use gtk && gnome2_query_immodules_gtk3
+ use gtk2 && gnome2_query_immodules_gtk2
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+}
next reply other threads:[~2017-12-31 14:16 UTC|newest]
Thread overview: 206+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-12-31 14:16 Yixun Lan [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-07 7:32 [gentoo-commits] repo/gentoo:master commit in: app-i18n/ibus/ Sam James
2025-03-07 7:28 Sam James
2025-03-07 7:23 Sam James
2025-03-07 7:23 Sam James
2025-03-07 6:41 Sam James
2025-03-07 6:41 Sam James
2025-03-07 6:35 Sam James
2025-03-07 6:12 Sam James
2025-02-22 20:52 Sam James
2025-02-10 8:56 Sam James
2025-02-04 14:55 Sam James
2025-02-04 13:24 Sam James
2025-02-04 13:24 Sam James
2025-02-04 13:24 Sam James
2025-02-04 13:24 Sam James
2025-02-02 5:29 Eli Schwartz
2025-02-02 5:29 Eli Schwartz
2024-11-24 23:21 Sam James
2024-11-24 8:57 Yixun Lan
2024-10-17 11:40 Yixun Lan
2024-06-09 18:54 Matt Turner
2024-01-05 5:19 Arthur Zamarin
2024-01-05 5:19 Arthur Zamarin
2024-01-05 2:32 Sam James
2024-01-05 2:32 Sam James
2024-01-05 2:32 Sam James
2024-01-05 2:32 Sam James
2023-11-24 9:31 Sam James
2023-11-19 1:04 Matt Turner
2023-09-12 2:56 Matt Turner
2023-06-09 3:01 Matt Turner
2023-06-05 0:38 Yixun Lan
2023-03-25 0:27 Yixun Lan
2023-02-28 17:34 Joonas Niilola
2023-02-24 4:11 Matt Turner
2023-02-24 4:11 Matt Turner
2023-02-24 4:11 Matt Turner
2023-01-01 2:58 Yixun Lan
2022-12-02 20:00 Arthur Zamarin
2022-12-02 7:38 Arthur Zamarin
2022-12-02 7:38 Arthur Zamarin
2022-12-02 7:38 Arthur Zamarin
2022-12-02 7:38 Arthur Zamarin
2022-12-02 7:38 Arthur Zamarin
2022-12-02 7:30 Arthur Zamarin
2022-09-16 15:09 Matt Turner
2022-09-16 15:09 Matt Turner
2022-09-16 15:09 Matt Turner
2022-09-16 15:09 Matt Turner
2022-09-07 1:25 Yixun Lan
2022-09-06 9:31 Yixun Lan
2022-09-06 3:43 Yixun Lan
2022-08-15 5:43 WANG Xuerui
2022-08-06 12:05 WANG Xuerui
2022-05-31 9:24 Jakov Smolić
2022-05-28 5:05 Sam James
2022-05-19 5:08 WANG Xuerui
2022-04-29 8:30 Sam James
2022-04-18 5:02 Yixun Lan
2022-04-18 5:02 Yixun Lan
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2022-04-15 19:25 Matt Turner
2021-12-31 1:23 Yixun Lan
2021-12-13 19:17 Arthur Zamarin
2021-12-12 1:48 Sam James
2021-12-11 3:29 Sam James
2021-12-09 16:22 Agostino Sarubbo
2021-12-09 6:39 Sam James
2021-12-09 6:39 Sam James
2021-12-09 6:39 Sam James
2021-10-31 6:26 Arthur Zamarin
2021-09-25 23:25 Sam James
2021-09-25 22:57 Vadim Misbakh-Soloviov
2021-09-02 7:09 Yixun Lan
2021-07-24 23:43 Yixun Lan
2021-07-09 13:50 Yixun Lan
2020-12-07 18:14 Mike Gilbert
2020-11-16 19:51 Mike Gilbert
2020-11-03 3:42 Yixun Lan
2020-10-11 20:26 Mart Raudsepp
2020-09-05 2:04 Mike Gilbert
2020-06-09 4:23 Mart Raudsepp
2020-06-03 15:17 Agostino Sarubbo
2020-06-03 15:12 Agostino Sarubbo
2020-06-02 9:55 Yixun Lan
2020-06-02 5:46 Yixun Lan
2020-06-01 20:51 Sergei Trofimovich
2020-06-01 19:52 Sergei Trofimovich
2020-03-25 8:12 Agostino Sarubbo
2020-03-22 10:33 Agostino Sarubbo
2020-03-22 7:47 Mart Raudsepp
2020-03-20 14:15 Agostino Sarubbo
2020-03-20 14:15 Agostino Sarubbo
2020-03-20 9:04 Agostino Sarubbo
2020-03-20 8:59 Agostino Sarubbo
2020-03-19 21:30 Sergei Trofimovich
2020-03-15 20:51 Thomas Deutschmann
2020-02-10 21:29 Michał Górny
2020-02-10 20:32 Michał Górny
2020-01-11 20:39 Mart Raudsepp
2019-10-21 9:36 Yixun Lan
2019-09-22 7:01 Matt Turner
2019-09-13 18:10 Mikle Kolyada
2019-09-09 6:02 Agostino Sarubbo
2019-09-08 18:30 Sergei Trofimovich
2019-09-08 18:26 Sergei Trofimovich
2019-09-08 18:21 Sergei Trofimovich
2019-09-08 10:55 Agostino Sarubbo
2019-09-07 21:07 Thomas Deutschmann
2019-09-07 15:29 Aaron Bauman
2019-07-28 6:42 Mart Raudsepp
2019-05-17 19:35 Mike Gilbert
2019-05-02 21:04 Mikle Kolyada
2019-03-20 6:35 Yixun Lan
2019-03-13 22:27 Sergei Trofimovich
2019-03-10 14:27 Mikle Kolyada
2019-03-03 16:07 Sergei Trofimovich
2019-03-03 5:42 Mikle Kolyada
2019-03-02 20:49 Thomas Deutschmann
2019-03-02 20:02 Sergei Trofimovich
2019-03-02 19:52 Sergei Trofimovich
2019-03-02 12:31 Akinori Hattori
2019-02-25 12:53 Akinori Hattori
2019-02-20 14:19 Akinori Hattori
2019-01-26 18:58 Pacho Ramos
2018-10-06 19:12 Sergei Trofimovich
2018-10-05 4:56 Markus Meier
2018-09-14 10:18 Tobias Klausmann
2018-09-04 18:22 Mikle Kolyada
2018-09-01 23:26 Sergei Trofimovich
2018-09-01 23:18 Sergei Trofimovich
2018-08-29 21:38 Sergei Trofimovich
2018-08-29 1:07 Thomas Deutschmann
2018-08-28 12:57 Akinori Hattori
2018-08-04 13:58 Akinori Hattori
2018-08-04 13:58 Akinori Hattori
2018-08-04 13:58 Akinori Hattori
2018-08-04 13:58 Akinori Hattori
2018-06-30 2:25 Akinori Hattori
2018-05-07 14:18 Akinori Hattori
2018-05-07 14:18 Akinori Hattori
2018-05-07 14:18 Akinori Hattori
2018-05-07 14:18 Akinori Hattori
2018-04-30 15:58 Mike Gilbert
2018-03-18 0:30 Matt Turner
2018-03-18 0:12 Matt Turner
2018-01-28 21:49 Markus Meier
2018-01-05 13:22 Mikle Kolyada
2017-12-28 20:34 Sergei Trofimovich
2017-12-28 18:45 Thomas Deutschmann
2017-12-21 21:54 Sergei Trofimovich
2017-09-08 20:11 Markus Meier
2017-09-07 19:28 Markus Meier
2017-08-14 14:45 Akinori Hattori
2017-08-06 0:17 Sergei Trofimovich
2017-08-06 0:06 Sergei Trofimovich
2017-08-05 21:18 Sergei Trofimovich
2017-08-01 14:49 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-08-01 14:23 Akinori Hattori
2017-07-25 12:27 Alexis Ballier
2017-06-28 10:19 Alexis Ballier
2017-03-10 12:11 Yixun Lan
2017-03-10 12:11 Yixun Lan
2017-01-17 14:24 Agostino Sarubbo
2017-01-11 10:35 Agostino Sarubbo
2017-01-03 10:38 Agostino Sarubbo
2017-01-01 12:43 Agostino Sarubbo
2016-12-07 23:28 Yixun Lan
2016-08-15 7:51 Yixun Lan
2016-05-24 11:27 Tobias Klausmann
2016-04-19 15:56 Markus Meier
2016-03-23 21:23 Stephen Klimaszewski
2016-03-16 11:00 Agostino Sarubbo
2016-03-16 10:58 Agostino Sarubbo
2016-03-16 2:53 Yixun Lan
2016-02-07 19:15 Pacho Ramos
2016-02-01 21:15 Andreas Hüttel
2016-02-01 3:08 Yixun Lan
2016-02-01 3:08 Yixun Lan
2015-12-24 20:18 Mike Frysinger
2015-12-22 7:36 Yixun Lan
2015-11-26 19:12 Markus Meier
2015-11-13 9:42 Agostino Sarubbo
2015-11-12 9:40 Agostino Sarubbo
2015-11-11 9:12 Agostino Sarubbo
2015-11-10 11:45 Agostino Sarubbo
2015-08-31 7:46 Yixun Lan
2015-08-31 7:46 Yixun Lan
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1514729778.3be037a16108dce2e445ef0b5cea0cb365f21355.dlan@gentoo \
--to=dlan@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox